Update a specific catalog_field by id
curl --request PUT \
--url https://api.rootly.com/v1/catalog_fields/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_fields",
"attributes": {
"name": "<string>",
"kind": "text",
"kind_catalog_id": "<string>",
"position": 123,
"required": true,
"catalog_type": "catalog"
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_fields",
"attributes": {
"catalog_id": "<string>",
"name": "<string>",
"kind": "text",
"multiple": true,
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"kind_catalog_id": "<string>",
"required": true,
"catalog_type": "catalog"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
Show child attributes
catalog_field updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/catalog_fields/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_fields",
"attributes": {
"name": "<string>",
"kind": "text",
"kind_catalog_id": "<string>",
"position": 123,
"required": true,
"catalog_type": "catalog"
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_fields",
"attributes": {
"catalog_id": "<string>",
"name": "<string>",
"kind": "text",
"multiple": true,
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"kind_catalog_id": "<string>",
"required": true,
"catalog_type": "catalog"
}
}
}